<?php
/**
 * Sortablejs: Javascript for Sortable table
 *
 * @license    GPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author     Otto Vainio
 * version 1.1 Fixed javascript error in sorttable js
 * version 2.0 Added <div> to sort any table
 */
// must be run within Dokuwiki
if (!defined('DOKU_INC')) die();
if (!defined('DOKU_PLUGIN')) define('DOKU_PLUGIN', DOKU_INC.'lib/plugins/');
require_once(DOKU_PLUGIN.'syntax.php');

class syntax_plugin_sortablejs extends DokuWiki_Syntax_Plugin {

  function getInfo(){
    return array(
      'author' => 'Otto Vainio',
      'email'  => 'plugins@valjakko.net',
      'date'   => '2008-10-17',
      'name'   => 'Sortable javascript',
      'desc'   => 'Sortable table javascript',
      'url'    => 'http://www.dokuwiki.org/plugin:sortablejs',
    );
  }
  function getType() { return 'substition';}
  function getPType(){ return 'normal';}
  function getSort() { return 999; }
	function connectTo($mode) {
    $this->Lexer->addEntryPattern('<sortable>(?=.*?\x3C/sortable\x3E)',$mode,'plugin_sortablejs');
//    $this->Lexer->addEntryPattern('<sortable>',$mode,'plugin_sortablejs');
  }
  function postConnect() {
    $this->Lexer->addExitPattern('</sortable>','plugin_sortablejs');
  }
  function handle($match, $state, $pos, &$handler){
    switch ($state) {
      case DOKU_LEXER_ENTER :
        return "<div class=\"sortable\">";
        break;
      case DOKU_LEXER_UNMATCHED :
        return p_render('xhtml',p_get_instructions($match),$info);
        break;
      case DOKU_LEXER_EXIT :
        return "</div>";
        break;
    }
    return array();
  }

  function render($mode, &$renderer, $data) {
      if($mode == 'xhtml'){
        $renderer->doc .= $data;
        return true;
      }
      return false;
  }
}
?>