<?php
/**
 * DokuWiki Default Template
 *
 * This is the template you need to change for the overall look
 * of DokuWiki.
 *
 * You should leave the doctype at the very top - It should
 * always be the very first line of a document.
 *
 * @link   http://wiki.splitbrain.org/wiki:tpl:templates
 * @author Andreas Gohr <andi@splitbrain.org>
 */

// must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $conf['lang']?>"
 lang="<?php echo $conf['lang']?>" dir="<?php echo $lang['direction']?>">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>
    <?php tpl_pagetitle()?>
    [<?php echo strip_tags($conf['title'])?>]
  </title>

  <?php tpl_metaheaders()?>

  <link rel="shortcut icon" href="<?php echo DOKU_TPL?>images/favicon.ico" />

  <?php /*old includehook*/ @include(dirname(__FILE__).'/meta.html')?>
</head>

<body>
<?php /*old includehook*/ @include(dirname(__FILE__).'/topheader.html')?>
<div class="dokuwiki">
  <?php html_msgarea()?>

  <div class="stylehead">

    <div class="header">
	<!-- KSoftWarr links block -->
		<br />
		<table border="0" width="100%">
		<col width="33%"  valign="top">
		<col width="33%"  valign="top">
		<col width="33%"  valign="top">
		<tr>
			<td style="text-align: left;">
				<a style="font-size: 8pt;" href="http://www.kolan.mobi">&larr; kolan.mobi</a>
				<br/>
				<span style="color: gray; font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;хоумпэйдж</span>
			</td>
			<td style="text-align: center;"><a style="font-size:8pt;" href="http://www.ksoftware.ru/wiki/">главная</a></td>
			<td style="text-align: right;">
				<a style="font-size: 8pt;" href="http://www.ksoftware.ru/blog/">ksoftware.ru/blog/ &rarr;</a>
				<br/>
				<span style="color: gray; font-size: 7pt;">блог фирмы      </span>
			</td>
		</tr>
		<tr>
			<td style="text-align: left;">
				<br/>
				<a style="font-size: 8pt;" href="http://ksoftware.ya.ru">&larr; ksoftware.ya.ru</a>
				<br/>
				<span style="color: gray; font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;личный блог </span>
			</td>
		</tr>
		</table>
		
	<!-- KSoftWarr links block -->
      <div class="clearer"></div>
    </div>

    <?php /*old includehook*/ @include(dirname(__FILE__).'/header.html')?>

    <div class="bar"  id="bar__top">
      <!--
		<div class="bar-left" id="bar__topleft">
			<?php tpl_button('edit')?>
			<?php tpl_button('history')?>
		</div>
	  -->

      <div class="bar-right" id="bar__topright">
        <?php tpl_button('recent')?>
        <?php tpl_searchform()?>&nbsp;
      </div>
		  
		  

      <div class="clearer"></div>
    </div>

    <?php if($conf['breadcrumbs']){?>
    <div class="breadcrumbs">
      <?php tpl_breadcrumbs()?>
      <?php //tpl_youarehere() //(some people prefer this)?>
    </div>
    <?php }?>

    <?php if($conf['youarehere']){?>
    <div class="breadcrumbs">
      <?php tpl_youarehere() ?>
    </div>
    <?php }?>
	

  </div>
  <?php flush()?>

  <?php /*old includehook*/ @include(dirname(__FILE__).'/pageheader.html')?>

  <div class="page">
    <!-- wikipage start -->
    <?php tpl_content()?>
    <!-- wikipage stop -->
  </div>

  <div class="clearer">&nbsp;</div>

  <?php flush()?>

  <div class="stylefoot">

    <div class="meta">
      <div class="user">
        <?php tpl_userinfo()?>
      </div>
      <div class="doc">
        <?php tpl_pageinfo()?>
      </div>
    </div>

   <?php /*old includehook*/ @include(dirname(__FILE__).'/pagefooter.html')?>

    <div class="bar" id="bar__bottom">
      <div class="bar-left" id="bar__bottomleft">
        <?php tpl_button('edit')?>
        <?php tpl_button('history')?>
      </div>
      <div class="bar-right" id="bar__bottomright">
        <?php tpl_button('subscription')?>
        <?php tpl_button('admin')?>
        <?php tpl_button('profile')?>
        <?php tpl_button('login')?>
        <?php tpl_button('index')?>
        <?php tpl_button('top')?>&nbsp;
      </div>
      <div class="clearer"></div>
    </div>

  </div>

</div>
<?php /*old includehook*/ @include(dirname(__FILE__).'/footer.html')?>

<div class="no"><?php /* provide DokuWiki housekeeping, required in all templates */ tpl_indexerWebBug()?></div>
</body>
</html>
